[git] gnupg-doc - branch, master, updated. 9a0bed8d819c72535b4368e1c7f9b53bdffe3043

by Werner Koch cvs at cvs.gnupg.org
Sat Jul 16 14:10:10 CEST 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".

The branch, master has been updated
       via  9a0bed8d819c72535b4368e1c7f9b53bdffe3043 (commit)
      from  212ca849806b6eeda852f52bc9548e42ece0116e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 9a0bed8d819c72535b4368e1c7f9b53bdffe3043
Author: Werner Koch <wk at gnupg.org>
Date:   Sat Jul 16 14:07:57 2016 +0200

    tools: Avoid unneeded web site builds.

diff --git a/tools/build-website.sh b/tools/build-website.sh
index 1190dab..e5a2002 100755
--- a/tools/build-website.sh
+++ b/tools/build-website.sh
@@ -16,6 +16,18 @@ if [ ! -d "${stage_dir}" ]; then
 fi
 cd "${root_dir}"
 
+rev="$(git rev-parse --verify HEAD)"
+if [ -z "$rev" ]; then
+   echo "$pgm: No git revision found" >&2;
+   exit 1
+fi
+revlast="$(head -1 ${stage_dir}/.revlast 2>/dev/null || true)"
+if [ x"$rev" = x"$revlast" ]; then
+   echo "$pgm: No need to build" >&2;
+   exit 0
+fi
+
+
 echo "========================================================"
 echo "gpgweb site building started on $(date -u -Iseconds)"
 echo "========================================================"
@@ -35,6 +47,8 @@ emacs23 -q --batch  \
   --eval "(message \"root=(%s)\" gpgweb-root-dir)" \
   --eval "(org-publish \"gpgweb\" t nil)"
 
+echo "$rev" > ${stage_dir}/.revlast
+
 echo "========================================================="
 echo "gpgweb site building finished on $(date -u -Iseconds)"
 echo "========================================================="

-----------------------------------------------------------------------

Summary of changes:
 tools/build-website.sh | 14 ++++++++++++++
 1 file changed, 14 insertions(+)


hooks/post-receive
-- 
The GnuPG website and other docs
http://git.gnupg.org




More information about the Gnupg-commits mailing list